package com.steering.mes.mcp.entity;
/**
 * 数据库表HTT_REPORT所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-06-29
 */
@SuppressWarnings("serial")
public class HttReportEntity implements java.io.Serializable {
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 报表编号
     */
    private String reportNo = "";
    /**
     * 新报表编号
     */
    private String reportNoNew = "";
    /**
     * 新报表编号生效时间
     */
    private String reportNoTime = "";
    /**
     * 报表名称
     */
    private String reportName = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作时间
     */
    private String colTime = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 产生岗位
     */
    private String generateStation = "";
    /**
     * 接收岗位
     */
    private String receivingStation = "";
    /**
     * 保存岗位
     */
    private String saveStation = "";
    /**
     * 保存期限
     */
    private String storageLife = "";
    /**
     * 媒介（纸质/电子版）
     */
    private String intermediary = "";
    /**
     * 报表英文名字
     */
    private String englishName = "";
    private String machineNo = "";
    public String getMachineNo() {
		return machineNo;
	}

	public void setMachineNo(String machineNo) {
		this.machineNo = machineNo;
	}

	/**
     * 报表类型
     */
    private String reportType = "";

    public String getReportType() {
		return reportType;
	}

	public void setReportType(String reportType) {
		this.reportType = reportType;
	}

	public String getEnglishName() {
		return englishName;
	}

	public void setEnglishName(String englishName) {
		this.englishName = englishName;
	}

	/**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 报表编号
     * @return value
     */
    public String getReportNo() {
        return reportNo;
    }

    /**
     * 报表编号
     * @param reportNo value
     */
    public void setReportNo(String reportNo) {
        this.reportNo = reportNo;
    }

    /**
     * 新报表编号
     * @return value
     */
    public String getReportNoNew() {
        return reportNoNew;
    }

    /**
     * 新报表编号
     * @param reportNoNew value
     */
    public void setReportNoNew(String reportNoNew) {
        this.reportNoNew = reportNoNew;
    }

    /**
     * 新报表编号生效时间
     * @return value
     */
    public String getReportNoTime() {
        return reportNoTime;
    }

    /**
     * 新报表编号生效时间
     * @param reportNoTime value
     */
    public void setReportNoTime(String reportNoTime) {
        this.reportNoTime = reportNoTime;
    }

    /**
     * 报表名称
     * @return value
     */
    public String getReportName() {
        return reportName;
    }

    /**
     * 报表名称
     * @param reportName value
     */
    public void setReportName(String reportName) {
        this.reportName = reportName;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 操作时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 产生岗位
     * @return value
     */
    public String getGenerateStation() {
        return generateStation;
    }

    /**
     * 产生岗位
     * @param generateStation value
     */
    public void setGenerateStation(String generateStation) {
        this.generateStation = generateStation;
    }

    /**
     * 接收岗位
     * @return value
     */
    public String getReceivingStation() {
        return receivingStation;
    }

    /**
     * 接收岗位
     * @param receivingStation value
     */
    public void setReceivingStation(String receivingStation) {
        this.receivingStation = receivingStation;
    }

    /**
     * 保存岗位
     * @return value
     */
    public String getSaveStation() {
        return saveStation;
    }

    /**
     * 保存岗位
     * @param saveStation value
     */
    public void setSaveStation(String saveStation) {
        this.saveStation = saveStation;
    }

    /**
     * 保存期限
     * @return value
     */
    public String getStorageLife() {
        return storageLife;
    }

    /**
     * 保存期限
     * @param storageLife value
     */
    public void setStorageLife(String storageLife) {
        this.storageLife = storageLife;
    }

    /**
     * 媒介（纸质/电子版）
     * @return value
     */
    public String getIntermediary() {
        return intermediary;
    }

    /**
     * 媒介（纸质/电子版）
     * @param intermediary value
     */
    public void setIntermediary(String intermediary) {
        this.intermediary = intermediary;
    }


    /**
     * 使用的报表模板_ 暂提供给通用探伤
     */
    private String reportCpt = "";

    /**
     * 使用的报表模板_ 暂提供给通用探伤
     * @return value
     */
    public String getReportCpt() {
        return reportCpt;
    }

    /**
     * 使用的报表模板_ 暂提供给通用探伤
     * @param reportCpt value
     */
    public void setReportCpt(String reportCpt) {
        this.reportCpt = reportCpt;
    }
}